StableOps
API 参考

Mark an agent action as executed

Marks an approved agent action as executed with the result. Only approved actions can be marked executed.

POST/v1/agent/actions/{id}/executed

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard (no sk_ prefix required).

In: header

Path Parameters

id*unknown

Agent action id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agent/actions/{id}/executed" \  -H "Content-Type: application/json" \  -d '{    "agent_session_id": "string"  }'
{
  "id": "string",
  "agent_session_id": "string",
  "tool": "string",
  "input": "string",
  "status": "string",
  "approver_id": "string",
  "decided_at": "string",
  "executed_at": "string",
  "result": "string",
  "error_message": "string",
  "created_at": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}